'''
created by: matt  2018-03-15
'''
'''
列名	中文名	别名	类型	单位	默认值	是否可空	说明
SecuCode	证券代码		varchar(10)			FALSE	
SecuAbbr	证券简称		nvarchar(40)			TRUE	
TradeDate	交易日期		datetime			FALSE	
TradeStatus	交易状态		char(1)			TRUE	
PreClosePrice	昨收		numeric(20,4)	元		TRUE	
OpenPrice	今开盘		numeric(20,4)	元		TRUE	
ClosePrice	今收盘		numeric(20,4)	元		TRUE	
HighPrice	最高价		numeric(20,4)	元		TRUE	
LowPrice	最低价		numeric(20,4)	元		TRUE	
TurnoverVolume	成交量		numeric(20,4)	手		TRUE	
TurnoverValue	成交额		numeric(20,4)	元		TRUE	
TurnoverDeals	成交笔数		numeric(20,4)	笔		TRUE		
ChangeRatio	日涨跌幅		numeric(20,4)	%		TRUE	
'''

class Index():
    def __init__(self):
        pass
    '''
    def __init__(self,SecuCode,SecuAbbr,SecuMarket,TradeDate,TradeStatus,PreClosePrice,OpenPrice,ClosePrice,HighPrice,
        LowPrice,TurnoverVolume,TurnoverValue,TurnoverDeals,Amplitude,ChangeRatio,FlowShares,FlowMarketValue,TotalEquity,IssueEquity,
        TotalValue,RecordID,RiseOrDown):
        self.SecuCode = SecuCode         	
        self.SecuAbbr = SecuAbbr     	
        self.TradeDate = TradeDate      	
        self.TradeStatus = TradeStatus     
        self.PreClosePrice = PreClosePrice     
        self.OpenPrice = OpenPrice     	
        self.ClosePrice = ClosePrice     
        self.HighPrice = HighPrice     	
        self.LowPrice = LowPrice     	
        self.TurnoverVolume = TurnoverVolume     
        self.TurnoverValue = TurnoverValue  
        self.TurnoverDeals = TurnoverDeals  
        self.ChangeRatio = ChangeRatio     
    '''
    def printMe(self):
        print(self.SecuCode,self.SecuAbbr,self.TradeDate)

       
                        